# ContractResourcesApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                               | HTTP request       | Description              |
| ------------------------------------ | ------------------ | ------------------------ |
| [**contracts\_get**](#contracts_get) | **GET** /contracts | Get Contract Information |

## contracts\_get

> contracts\_get(opts)

Get Contract Information

Retrieves the properties of the user's contract. This operation allows you to obtain the resource limits and the general contract information.

### Examples

```ruby
require 'time'
require 'ionoscloud'
# setup authorization
Ionoscloud.configure do |config|
  # Configure HTTP basic authorization: Basic Authentication
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: Token Authentication
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = Ionoscloud::ContractResourcesApi.new
opts = {
  pretty: true, # Boolean | Controls whether the response is pretty-printed (with indentations and new lines).
  depth: 56, # Integer | Controls the detail depth of the response objects.  GET /datacenters/[ID]  - depth=0: Only direct properties are included; children (servers and other elements) are not included.  - depth=1: Direct properties and children references are included.  - depth=2: Direct properties and children properties are included.  - depth=3: Direct properties and children properties and children's children are included.  - depth=... and so on
  x_contract_number: 56 # Integer | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
}

begin
  # Get Contract Information
  result = api_instance.contracts_get(opts)
  p result
rescue Ionoscloud::ApiError => e
  puts "Error when calling ContractResourcesApi->contracts_get: #{e}"
end
```

#### Using the contracts\_get\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(, Integer, Hash)> contracts\_get\_with\_http\_info(opts)

```ruby
begin
  # Get Contract Information
  data, status_code, headers = api_instance.contracts_get_with_http_info(opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <Contracts>
rescue Ionoscloud::ApiError => e
  puts "Error when calling ContractResourcesApi->contracts_get_with_http_info: #{e}"
end
```

### Parameters

| Name                    | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                              | Notes                         |
| ----------------------- | ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------- |
| **pretty**              | **Boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                       | \[optional]\[default to true] |
| **depth**               | **Integer** | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on | \[optional]\[default to 0]    |
| **x\_contract\_number** | **Integer** | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                           | \[optional]                   |

### Return type

[**Contracts**](https://docs.ionos.com/sections-test/ruby-sdk/cloud-api-ruby-sdk/models/contracts)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json
